#ifndef __MODBUS_AO_PARAMS_H
#define __MODBUS_AO_PARAMS_H

#include "mb.h"
#include "mbport.h"
#include "modbus.h"
#include <stdbool.h>


#ifdef __cplusplus
extern "C" {
#endif

  
//
uint16_t mb_init_ao_params(uint16_t i);



// -------------------------------------------------------------------------- //
//                          Установка параметров
// -------------------------------------------------------------------------- //

//
mb_delay_action_t mb_set_ao_state(void);

//
mb_delay_action_t mb_set_ao_state_save(void);

//
mb_delay_action_t mb_set_ao_mode(void);

//
mb_delay_action_t mb_set_ao_mode_save(void);

//
mb_delay_action_t mb_set_ao_value(void);



#ifdef __cplusplus
}
#endif

#endif // __MODBUS_AO_PARAMS_H